{% extends 'navbar.html' %}
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Bootstrap CSS -->
    <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
      

  </head>
  {% block content %}
<div class="container">
    <h1>Schedule</h1>
    <hr>
    <div class="col-md-12 left">
        <form method="post" action="/del_sched/">
            {% csrf_token %}
            <button data-toggle="modal" data-target="#con-close-modal" class="btn btn-icon btn-danger" style="float: right !important;">
                <i class="fa fa-trash"></i>
            </button>
        </form>

        <form method = "post" action="/forms/">
            {%csrf_token %}
            <button data-toggle="modal" data-target="#con-close-modal" class="btn btn-icon btn-primary" style="float: right !important; margin-right: 10px;">
            <i class="fa fa-plus-circle"></i>
            </button>
        </form>
    
        <table class="table m-0">
            <thead>
                <tr>
                    <th>Activity</th>
                    <th>Day</th>
                    <th>Date</th>
                    <th>Time</th>
                    <th>Location</th>
                    <th>Category</th>
                    <th>Edit</th>
                    <th>Delete</th>
                </tr>
            </thead>
            <tbody>
                {% for obj in data %}
                <tr>
                    <td>{{ obj.activity }}</td>
                    <td>{{ obj.dates|date:"l" }}</td>
                    <td>{{ obj.dates }}</td>
                    <td>{{ obj.time }}</td>
                    <td>{{ obj.location }}</td>
                    <td>{{ obj.category }}</td>
                    <!-- <td><a href="{% url 'sched_edit' pk=obj.pk %}"><button data-toggle="modal" data-target="#con-close-modal" class="btn btn-icon btn-info"><i class="fa fa-keyboard"></i></button></a></td> -->
                    <td><a href="sched_delete'{{obj.id}}"><button class="btn btn-icon btn-danger"><i class="fa fa-trash"></i>
                        </button></a></td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

  {% endblock %}
</html>